# Class SimpleElementValue

java.lang.Object
org.apache.tomcat.util.bcel.classfile.ElementValue
org.apache.tomcat.util.bcel.classfile.SimpleElementValue

public class SimpleElementValue extends ElementValue

- ## Field Summary

  ### Fields inherited from class ElementValue

  `ANNOTATION, ARRAY, CLASS, ENUM_CONSTANT, PRIMITIVE_BOOLEAN, PRIMITIVE_BYTE, PRIMITIVE_CHAR, PRIMITIVE_DOUBLE, PRIMITIVE_FLOAT, PRIMITIVE_INT, PRIMITIVE_LONG, PRIMITIVE_SHORT, STRING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getIndex()`
  `String`
  `stringifyValue()`

  ### Methods inherited from class ElementValue

  `readElementValue, readElementValue`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getIndex

    public int getIndex()
    Returns:
      Value entry index in the cpool

  - ### stringifyValue

    public String stringifyValue()
    Specified by:
      `stringifyValue` in class `ElementValue`